#ITEMS
execute as @a[nbt={Inventory:[{tag:{Item:1b}}]}] run function system:use/useitem
tag @a[scores={Health=12..}] remove HighRegen
tag @a[scores={Health=7..}] remove LowRegen
scoreboard players set @a[tag=Alive] UndeadKill1 0
scoreboard players set @a[tag=Alive] UndeadKill2 0
scoreboard players set @a[tag=Alive] UndeadKill3 0
scoreboard players set @a[scores={StarTime=304..}] StarTime 0
scoreboard players set @a[scores={StarTime2=313..}] StarTime2 0
scoreboard players set @a[scores={SealDamage=1000..}] SealDamage 0
scoreboard players set @a[scores={CharmTrade=1..}] CharmTrade 0 

#SCROLLS
execute as @a[limit=1,nbt={Inventory:[{Slot:-106b,tag:{Scroll:1b}}]}] run function system:use/usescroll
execute as @a[scores={TimeTime=1..600},limit=1] as @e[team=Enemy] run data merge entity @s {NoAI:1}
effect give @a[tag=SATURATION] saturation 1 100
scoreboard players add @a[tag=SATURATION] SaturationTime 1
tag @a[scores={SaturationTime=20..}] remove SATURATION
scoreboard players set @a[scores={SaturationTime=60..}] SaturationTime 0
scoreboard players add @a[team=Enemy] InvisTime 1
team join Human @a[scores={InvisTime=900..}]
scoreboard players set @a[scores={InvisTime=900..}] InvisTime 0
execute as @a[scores={TimeTime=1..600},limit=1] run execute store result bossbar minecraft:time value run scoreboard players get @s TimeTime
scoreboard players remove @a[scores={TimeTime=0..600}] TimeTime 1
execute as @a[scores={TimeTime=0},limit=1] as @e[team=Enemy] run data merge entity @s {NoAI:0}
execute as @a[scores={TimeTime=0},limit=1] run bossbar set minecraft:time visible false

#SCROLLS (playing)
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ jukebox{RecordItem:{tag:{Scroll:1b}}} run function system:use/useplayscroll
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ #impermeable run particle dragon_breath ~ ~0.5 ~ 0.1 0.1 0.1 0.02 2 force
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ white_stained_glass run effect give @a[tag=Alive] fire_resistance 999999 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ yellow_stained_glass at @a[tag=Alive] run effect give @e[team=Enemy,distance=..7] glowing 1 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ yellow_stained_glass at @a[tag=ClassM] run effect give @e[team=Boss,distance=..7] glowing 1 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ cyan_stained_glass run effect give @a[tag=Alive] invisibility 999999 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ blue_stained_glass run effect give @a[tag=Alive] luck 999999 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ purple_stained_glass run effect give @a[tag=Alive] speed 999999 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ black_stained_glass run effect give @e[team=Enemy] slowness 1 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ orange_stained_glass run effect give @e[team=Enemy] weakness 1 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ orange_stained_glass run effect give @e[team=Enemy] strength 1 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ black_stained_glass as @a[tag=ClassM] run effect give @e[team=Boss] slowness 1 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ orange_stained_glass as @a[tag=ClassM] run effect give @e[team=Boss] weakness 1 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ orange_stained_glass as @a[tag=ClassM] run effect give @e[team=Boss] strength 1 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ pink_stained_glass run effect give @a[tag=Alive] hero_of_the_village 999999 0 true
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~ ~ light_gray_stained_glass run effect give @a[tag=Alive] haste 999999 0 true
execute as @e[type=armor_stand,name=RoomSet] at @s if block ~ ~ ~ brown_stained_glass run scoreboard players add @s Bell 1
execute as @e[type=armor_stand,name=RoomSet,tag=Carrot] run scoreboard players add @s Bell 1
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~-1 ~-2 ~2 ~-1 ~2 farmland replace dirt
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 potatoes[age=7] replace potatoes[age=6]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 potatoes[age=6] replace potatoes[age=5]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 potatoes[age=5] replace potatoes[age=4]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 potatoes[age=4] replace potatoes[age=3]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 potatoes[age=3] replace potatoes[age=2]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 potatoes[age=2] replace potatoes[age=1]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 potatoes[age=1] replace potatoes[age=0]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 carrots[age=7] replace carrots[age=6]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 carrots[age=6] replace carrots[age=5]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 carrots[age=5] replace carrots[age=4]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 carrots[age=4] replace carrots[age=3]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 carrots[age=3] replace carrots[age=2]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 carrots[age=2] replace carrots[age=1]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] at @s run fill ~-2 ~ ~-2 ~2 ~ ~2 carrots[age=1] replace carrots[age=0]
execute as @e[type=armor_stand,name=RoomSet,scores={Bell=1200..}] run scoreboard players set @s Bell 0