execute at @e[type=armor_stand,tag=Bonus2a,tag=!Bonus2b] run tag @p add Bonus2
execute at @e[type=armor_stand,tag=Bonus2a,tag=!Bonus2b] run setblock -13 81 -32 air replace
execute at @e[type=armor_stand,tag=Bonus2a,tag=!Bonus2b] run setblock -9 82 -36 air
execute at @e[type=armor_stand,tag=Bonus2a,tag=!Bonus2b] run kill @e[type=item,x=-13,y=81,z=-32,distance=..5]
execute at @e[type=armor_stand,tag=Bonus2a,tag=!Bonus2b] run tp @a[tag=Bonus2] -9 82 -36 45 0

scoreboard players operation @s rngIn *= multiplier rng
scoreboard players operation @s rngIn += increment rng
scoreboard players operation @s rngOut = @s rngIn
scoreboard players set modulus rng 2
scoreboard players operation @s rngOut %= modulus rng

execute if entity @e[type=armor_stand,tag=Bonus2a,tag=!Bonus2b,scores={rngOut=0}] run summon area_effect_cloud -17 82 -28 {CustomName:"\"Bonus2x\""}
execute if entity @e[type=armor_stand,tag=Bonus2a,tag=!Bonus2b,scores={rngOut=1}] run summon area_effect_cloud -17 82 -28 {CustomName:"\"Bonus2y\""}
execute if entity @e[type=armor_stand,tag=Bonus2a,tag=!Bonus2b] run scoreboard players set @e[type=area_effect_cloud,limit=1,sort=random,x=-17,y=82,z=-28,distance=..2] BiteTrail 1

execute if entity @e[type=area_effect_cloud,name=Bonus2x,scores={BiteTrail=1}] run summon slime -17 82 -28 {PersistenceRequired:1,Rotation:[-135F,0F],CustomName:"\"Slimbo\"",Team:Boss,Size:4,Attributes:[{Base:1d,Name:"generic.knockbackResistance"}]}
execute if entity @e[type=area_effect_cloud,name=Bonus2x,scores={BiteTrail=1}] run effect give @e[type=slime,name=Slimbo] absorption 999999 9
execute if entity @e[type=area_effect_cloud,name=Bonus2x,scores={BiteTrail=1}] run effect give @e[type=slime,name=Slimbo] slowness 999999 2
execute if entity @e[type=area_effect_cloud,name=Bonus2x,scores={BiteTrail=1}] run title @a[tag=Bonus2] subtitle {"text":"Slimbo the Slime","color":"light_purple"}

execute if entity @e[type=area_effect_cloud,name=Bonus2y,scores={BiteTrail=1}] run summon creeper -17 82 -28 {powered:1b,PersistenceRequired:1,Rotation:[-135F,0F],CustomName:"\"Exos\"",Team:Boss}
execute if entity @e[type=area_effect_cloud,name=Bonus2y,scores={BiteTrail=1}] run effect give @e[type=creeper,name=Exos] absorption 999999 13
execute if entity @e[type=area_effect_cloud,name=Bonus2y,scores={BiteTrail=1}] run title @a[tag=Bonus2] subtitle {"text":"Exos the Creeper","color":"light_purple"}

execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run title @a[tag=Bonus2] title {"text":"Mini Boss","color":"red"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run tellraw @a[tag=Bonus2] {"text":"Fight!","color":"dark_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1},name=Bonus2x] run tellraw @a[tag=!Bonus2,tag=Playing] {"text":"Someone is fighting the Miniboss!","color":"light_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1},name=Bonus2y] run tellraw @a[tag=!Bonus2,tag=Playing] {"text":"Someone is fighting the Miniboss!","color":"light_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run tag @e[type=armor_stand,tag=Bonus2a] add Bonus2b

scoreboard players add @e[type=slime,name=Slimbo] Time 1
execute at @e[type=slime,name=Slimbo,scores={Time=100..}] run summon slime ~ ~ ~ {Size:1}
execute at @e[type=slime,name=Slimbo,scores={Time=100..}] run particle item_slime ~ ~ ~ 1 1 1 0.1 100 force
scoreboard players set @e[type=slime,name=Slimbo,scores={Time=100..}] Time 0

scoreboard players add @e[type=creeper,name=Exos] Time 1
execute at @e[type=creeper,name=Exos,scores={Time=150..}] at @e[type=player,tag=Bonus2] run summon tnt ~ ~ ~ {Fuse:40s}
execute at @e[type=creeper,name=Exos,scores={Time=150..}] at @e[type=player,tag=Bonus2] run particle minecraft:smoke ~ ~ ~ 1 1 1 0.1 100 force
scoreboard players set @e[type=creeper,name=Exos,scores={Time=150..}] Time 0

execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run setblock -9 82 -36 minecraft:stone_pressure_plate
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run title @a[tag=Bonus2] title {"text":"You Win!","color":"dark_green"}
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run title @a[tag=Bonus2] subtitle {"text":"Claim your prize... and continue!","color":"green"}
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run setblock -13 81 -32 minecraft:dispenser[facing=up]
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run data merge block -13 81 -32 {LootTable:"mctools:bonus2"}
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run particle minecraft:flame -13 81 -32 0.5 0.5 0.5 0.1 100 force
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run particle minecraft:smoke -13 81 -32 0.5 0.5 0.5 0.1 1000 force
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run kill @e[type=area_effect_cloud,x=-13,y=82,z=-32,distance=..15]
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2,tag=Light] run summon item -13 82 -32 {Item:{id:"paper",Count:1,tag:{Boss:2,display:{Name:"{\"text\":\"Golden Key\"}"}}}}
execute unless entity @e[type=slime,name=Slimbo] unless entity @e[type=creeper,name=Exos] if entity @a[tag=Bonus2] run tag @a remove Bonus2

execute if block -9 82 -36 minecraft:stone_pressure_plate[powered=true] at @e[type=armor_stand,tag=Bonus2b] if entity @a[x=-9,y=82,z=-36,distance=..2] run setblock ~ ~1 ~ air
execute if block -9 82 -36 minecraft:stone_pressure_plate[powered=true] at @e[type=armor_stand,tag=Bonus2b] if entity @a[x=-9,y=82,z=-36,distance=..2] run tp @p[x=-9,y=82,z=-36,distance=..2] ~ ~0.5 ~
execute if block -9 82 -36 minecraft:stone_pressure_plate[powered=true] as @e[type=armor_stand,tag=Bonus2b] if entity @a[x=-9,y=82,z=-36,distance=..2] run tag @s remove Bonus2a

tp @e[type=slime,name=Slimbo,nbt={Size:1}] ~ -200 ~
execute at @e[type=creeper,name=Exos] run kill @e[type=arrow,distance=..4]