scoreboard players set @a[tag=!Lobby,scores={TalkTrigger=1..}] TalkTrigger 0
tp @e[type=blaze,team=NPC,x=10,y=2,z=60,distance=..5] 10.5 2 60.5
execute unless entity @e[type=blaze,tag=LobbyKeep] run summon blaze 21.5 2.0 24.5 {PersistenceRequired:1b,Tags:["LobbyKeep"], Silent: 1b, NoAI: 1b, Rotation: [45.0f, 0.0f], CustomName: '{"bold":true,"color":"yellow","text":"Blaze"}', CustomNameVisible: 1b}

execute as @a[scores={InTrigger=1..}] run function system:lobby/trigger

title @a[tag=Lobby] actionbar ["",{"text":"Main Player: "},{"selector":"@p[tag=ClassMain]"},{"text":" | Side Players: "},{"selector":"@a[tag=ClassE]"}]
execute if entity @a[tag=ClassW] run particle crit 10 3 35 0.2 0.5 0.2 0.1 5 force
execute if entity @a[tag=ClassM] run particle crit 8 3 31 0.2 0.5 0.2 0.1 5 force
execute if entity @a[tag=ClassT] run particle crit 10 3 27 0.2 0.5 0.2 0.1 5 force
execute if entity @a[tag=ClassJ] run particle crit 14 3 25 0.2 0.5 0.2 0.1 5 force
execute if entity @a[tag=ClassBlaze] run particle crit 18 3 27 0.2 0.5 0.2 0.1 5 force
execute if entity @a[tag=ClassSpirit] run particle crit 20 3 31 0.2 0.5 0.2 0.1 5 force
execute if entity @a[tag=ClassEvoker] run particle crit 18 3 35 0.2 0.5 0.2 0.1 5 force
execute if entity @a[tag=ClassSide1] run particle crit 5 3 48 0.2 0.5 0.2 0.1 5 force
execute if entity @a[tag=ClassSide2] run particle crit 10 3 43 0.2 0.5 0.2 0.1 5 force
particle dragon_breath 19 3 63 0 1 0 0.01 10 force @a[tag=PARTICLE]
particle enchant 25 3.5 57 0.2 1 0.2 0.1 10 force @a[tag=PARTICLE]
particle enchanted_hit 8.1 4 38.7 0 0.2 0 0.1 2 force @a[tag=PARTICLE]
particle witch 5.0 2.9 31.0 0 0 0 0.01 1 force @a[tag=PARTICLE]
particle dripping_lava 7.9 3 24.9 0.1 0 0.1 0.1 1 force @a[tag=PARTICLE]
particle flame 21 3 24 0.3 0.5 0.3 0.01 3 force @a[tag=PARTICLE]
particle dust 0 0.5 1 1 24 3 31 0.3 0.5 0.3 0.01 3 force @a[tag=PARTICLE]
particle falling_dust purple_wool 21.3 3 38.3 0.1 0 0.1 0.01 1 force @a[tag=PARTICLE]
effect give @a[tag=Lobby] saturation 1 10 true
effect give @a[tag=Lobby] resistance 1 10 true
particle dust 1 0 0 1 41 3.5 51 0.3 0.3 0.3 0.1 5 force @a[tag=!TRAIL,tag=Lobby]
particle dust 0 1 0 1 41 3.5 51 0.3 0.3 0.3 0.1 5 force @a[tag=TRAIL,tag=Lobby]
particle dust 1 0 0 1 41 3.5 52 0.3 0.3 0.3 0.1 5 force @a[tag=!CHAT,tag=Lobby]
particle dust 0 1 0 1 41 3.5 52 0.3 0.3 0.3 0.1 5 force @a[tag=CHAT,tag=Lobby]
particle dust 1 0 0 1 41 3.5 53 0.3 0.3 0.3 0.1 5 force @a[tag=!PARTICLE,tag=Lobby]
particle dust 0 1 0 1 41 3.5 53 0.3 0.3 0.3 0.1 5 force @a[tag=PARTICLE,tag=Lobby]

execute positioned 14 2 71 if block ~ ~ ~ stone_button[powered=true] run tellraw @p ["",{"text":"Enable v2.0 \"","color":"gold"},{"text":"Not Your Vault?","color":"gold","bold":"true"},{"text":"\"","color":"gold"}]
execute positioned 14 2 71 if block ~ ~ ~ stone_button[powered=true] run tellraw @p ["",{"text":"[Yes]","color":"dark_green","clickEvent":{"action":"run_command","value":"/trigger UpdateTrigger set 1"},"hoverEvent":{"action":"show_text","value":["",{"text":"Lots of new and interesting content:\n- A new area with a new boss, new items and loads of rewards\n- More utilities, magic items, and treasure\n- Three new classes, with six new abilities\n","color":"gold"},{"text":"Note: 2.0 is affiliated with Emerald Chambers.","color":"gold","italic":"true"}]}},{"text":" "},{"text":"[No]","color":"red","clickEvent":{"action":"run_command","value":"/trigger UpdateTrigger set 2"},"hoverEvent":{"action":"show_text","value":["",{"text":"It may be too much for new and inexperienced players...\n- More classes means more complicated base game\n- The new area is optional but pretty tough\n- The new items are hard to use correctly\nYou can activate this update at ","color":"yellow"},{"text":"any time!","bold":true,"color":"yellow"}]}}]
execute positioned 14 2 71 if block ~ ~ ~ stone_button[powered=true] run scoreboard players enable @p UpdateTrigger
execute positioned 14 2 71 if block ~ ~ ~ stone_button[powered=true] run setblock 14 2 71 stone_button[face=floor]

execute as @a[scores={UpdateTrigger=1..}] run function system:lobby/update

execute as @a[scores={TalkTrigger=1,Rubies=1..}] at @s run function system:lobby/talk1
execute as @a[scores={TalkTrigger=1,Rubies=..0}] run tellraw @s ["",{"text":"[Marc] "},{"text":"Sorry, you need more rubies!","color":"dark_red"}]
execute as @a[scores={TalkTrigger=2}] run tellraw @s ["",{"text":"[Marc] "},{"text":"OK! Let me know when to shower you with my infinite wisdom!","color":"aqua"}]

execute as @a[scores={TalkTrigger=3}] run tellraw @s ["",{"text":"[Shmu] "},{"text":"Oh c'mon. I sto- er, worked hard for these!","color":"aqua"}]
execute as @a[scores={TalkTrigger=4,Rubies=..2}] run tellraw @s ["",{"text":"[Shmu] "},{"text":"You need rubies for that, you know.","color":"dark_red"}]
execute as @a[scores={TalkTrigger=4,Rubies=3..}] run tellraw @s ["",{"text":"[Shmu] "},{"text":"Testing waters, eh? Whatever, a deal is a deal.","color":"aqua"}]
execute as @a[scores={TalkTrigger=4,Rubies=3..}] run scoreboard players set @s Amulets 1
execute as @a[scores={TalkTrigger=4,Rubies=3..}] run scoreboard players remove @s Rubies 3
execute as @a[scores={TalkTrigger=5,Rubies=..4}] run tellraw @s ["",{"text":"[Shmu] "},{"text":"That ain't gonna cut it.","color":"dark_red"}]
execute as @a[scores={TalkTrigger=5,Rubies=5..}] run tellraw @s ["",{"text":"[Shmu] "},{"text":"You know what you're doing. Don't spare out.","color":"aqua"}]
execute as @a[scores={TalkTrigger=5,Rubies=5..}] run scoreboard players set @s Amulets 2
execute as @a[scores={TalkTrigger=5,Rubies=5..}] run scoreboard players remove @s Rubies 5
execute as @a[scores={TalkTrigger=6,Rubies=..6}] run tellraw @s ["",{"text":"[Shmu] "},{"text":"Are you wasting my time? Get money or get lost!","color":"dark_red"}]
execute as @a[scores={TalkTrigger=6,Rubies=7..}] run tellraw @s ["",{"text":"[Shmu] "},{"text":"Going all-in? I like that.","color":"aqua"}]
execute as @a[scores={TalkTrigger=6,Rubies=7..}] run scoreboard players set @s Amulets 3
execute as @a[scores={TalkTrigger=6,Rubies=7..}] run scoreboard players remove @s Rubies 7

execute as @a[scores={TalkTrigger=7}] run tellraw @s ["",{"text":"[Usk] "},{"text":"Keeping your cash? Alright then.","color":"aqua"}]
execute as @a[scores={TalkTrigger=8,Rubies=..4}] run tellraw @s ["",{"text":"[Usk] "},{"text":"I'm not going to give you this for free...","color":"dark_red"}]
execute as @a[scores={TalkTrigger=8,Rubies=5..}] run tellraw @s ["",{"text":"[Usk] "},{"text":"Great! You can carry 11 items next run!","color":"aqua"}]
execute as @a[scores={TalkTrigger=8,Rubies=5..}] run scoreboard players set @s Carry 1
execute as @a[scores={TalkTrigger=8,Rubies=5..}] run scoreboard players remove @s Rubies 5
execute as @a[scores={TalkTrigger=9,Rubies=..9}] run tellraw @s ["",{"text":"[Usk] "},{"text":"Please come back with more rubies.","color":"dark_red"}]
execute as @a[scores={TalkTrigger=9,Rubies=10..}] run tellraw @s ["",{"text":"[Usk] "},{"text":"Awesome! In your next run, you can carry 13 items!","color":"aqua"}]
execute as @a[scores={TalkTrigger=9,Rubies=10..}] run scoreboard players set @s Carry 2
execute as @a[scores={TalkTrigger=9,Rubies=10..}] run scoreboard players remove @s Rubies 10
execute as @a[scores={TalkTrigger=10,Rubies=..14}] run tellraw @s ["",{"text":"[Usk] "},{"text":"I'm afraid you can't afford that!","color":"dark_red"}]
execute as @a[scores={TalkTrigger=10,Rubies=15..}] run tellraw @s ["",{"text":"[Usk] "},{"text":"Tremendous! A total of 15 items can be carried now.","color":"aqua"}]
execute as @a[scores={TalkTrigger=10,Rubies=15..}] run scoreboard players set @s Carry 3
execute as @a[scores={TalkTrigger=10,Rubies=15..}] run scoreboard players remove @s Rubies 15

execute as @a[scores={TalkTrigger=11}] run tellraw @s ["",{"text":"[Haedron] "},{"text":"Yeah, I get it. Adventurers gotta adventure...","color":"aqua"}]

execute as @a[scores={TalkTrigger=12,Rubies=..14}] run tellraw @s ["",{"text":"[Haedron] "},{"text":"I'm not doing this as a hobby... all the time.","color":"dark_red"}]
execute as @a[scores={TalkTrigger=12,Rubies=15..}] run tellraw @s ["",{"text":"[Haedron] "},{"text":"Green! May Dionae watch over you, haha.","color":"aqua"}]
execute as @a[scores={TalkTrigger=12,Rubies=15..}] run scoreboard players set @e[name=Options,type=armor_stand] Generation 1
execute as @a[scores={TalkTrigger=12,Rubies=15..}] run data merge entity @e[type=armor_stand,tag=Generation,limit=1] {CustomName:"{\"text\":\"Green Caves\",\"color\":\"green\"}",CustomNameVisible:1}
execute as @a[scores={TalkTrigger=12,Rubies=15..}] run scoreboard players remove @s Rubies 15
execute as @a[scores={TalkTrigger=13,Rubies=..14}] run tellraw @s ["",{"text":"[Haedron] "},{"text":"I'm not a sellout for anything other than rubies.","color":"dark_red"}]
execute as @a[scores={TalkTrigger=13,Rubies=15..}] run tellraw @s ["",{"text":"[Haedron] "},{"text":"Blue! Fan of Gyranus, perhaps?","color":"aqua"}]
execute as @a[scores={TalkTrigger=13,Rubies=15..}] run scoreboard players set @e[name=Options,type=armor_stand] Generation 2
execute as @a[scores={TalkTrigger=13,Rubies=15..}] run data merge entity @e[type=armor_stand,tag=Generation,limit=1] {CustomName:"{\"text\":\"Blue Caves\",\"color\":\"dark_blue\"}",CustomNameVisible:1}
execute as @a[scores={TalkTrigger=13,Rubies=15..}] run scoreboard players remove @s Rubies 15
execute as @a[scores={TalkTrigger=14,Rubies=..14}] run tellraw @s ["",{"text":"[Haedron] "},{"text":"These caves go deep, but my desire for ruby goes deeper.","color":"dark_red"}]
execute as @a[scores={TalkTrigger=14,Rubies=15..}] run tellraw @s ["",{"text":"[Haedron] "},{"text":"Purple! Raimor might fight a little less now.","color":"aqua"}]
execute as @a[scores={TalkTrigger=14,Rubies=15..}] run scoreboard players set @e[name=Options,type=armor_stand] Generation 3
execute as @a[scores={TalkTrigger=14,Rubies=15..}] run data merge entity @e[type=armor_stand,tag=Generation,limit=1] {CustomName:"{\"text\":\"Purple Caves\",\"color\":\"light_purple\"}",CustomNameVisible:1}
execute as @a[scores={TalkTrigger=14,Rubies=15..}] run scoreboard players remove @s Rubies 15

execute as @a[scores={TalkTrigger=15}] run tellraw @s ["",{"text":"[Anuma] "},{"text":"Yeah, whatever.","color":"aqua"}]
execute as @a[scores={TalkTrigger=16}] run tellraw @s ["",{"text":"The ","color":"gray"},{"text":"Jammed","color":"gray","bold":"true"},{"text":" is a special mode. You're possessed by Anuma, who grants you special powers. Hard, but it yields no real reward for winning as him. Encourages a careful playstyle.\n","color":"gray"},{"text":"Has: ","italic":"true","color":"gray"},{"text":"Darkened","underlined":"true","color":"gray","hoverEvent":{"action":"show_text","value":{"text":"Throw a Pearl to teleport to that place. 16 uses.","color":"yellow"}}},{"text":" | ","color":"gray"},{"text":"Cursed","underlined":"true","color":"gray","hoverEvent":{"action":"show_text","value":{"text":"Has only 5 red hearts, and 6 yellow hearts that refill after every boss.","color":"yellow"}}},{"text":" | ","color":"gray"},{"text":"Screech","underlined":"true","color":"gray","hoverEvent":{"action":"show_text","value":{"text":"Instead of a healing potion, starts with a Scroll of Darkness.","color":"yellow"}}},{"text":" | ","color":"gray"},{"text":"Evil","underlined":"true","color":"gray","hoverEvent":{"action":"show_text","value":{"text":"Starts with a Wand of Darkness, dealing high damage for 10 xp-levels.","color":"yellow"}}},{"text":"\n","color":"gray"}]
execute as @a[scores={TalkTrigger=17}] run tellraw @s ["",{"text":"[Anuma] "},{"text":"What's there to say... I have questions, and want answers. I can't go in there alone, too small; I can't let it go, too powerful. Tough luck.","color":"aqua"}]
execute as @a[scores={TalkTrigger=18}] run function system:lobby/jammed

execute as @a[scores={TalkTrigger=19}] run tellraw @s ["",{"text":"[Shades] "},{"text":"Alright! Don't get dehydrated!","color":"dark_aqua"}]
execute as @a[scores={TalkTrigger=19}] run scoreboard players set @e[type=armor_stand,name=Options] Challenge 1
execute as @a[scores={TalkTrigger=19}] run data merge entity @e[type=armor_stand,tag=Challenge,limit=1] {CustomName:"{\"text\":\"Pharmaphobia\",\"color\":\"aqua\"}",CustomNameVisible:1}
execute as @a[scores={TalkTrigger=20}] run tellraw @s ["",{"text":"[Shades] "},{"text":"Cool! Hope you have a strong stomach.","color":"dark_aqua"}]
execute as @a[scores={TalkTrigger=20}] run scoreboard players set @e[type=armor_stand,name=Options] Challenge 2
execute as @a[scores={TalkTrigger=20}] run data merge entity @e[type=armor_stand,tag=Challenge,limit=1] {CustomName:"{\"text\":\"Faith Armored\",\"color\":\"white\"}",CustomNameVisible:1}
execute as @a[scores={TalkTrigger=21}] run tellraw @s ["",{"text":"[Shades] "},{"text":"Nice! Those shopkeepers need work too.","color":"dark_aqua"}]
execute as @a[scores={TalkTrigger=21}] run scoreboard players set @e[type=armor_stand,name=Options] Challenge 3
execute as @a[scores={TalkTrigger=21}] run data merge entity @e[type=armor_stand,tag=Challenge,limit=1] {CustomName:"{\"text\":\"Poored Land\",\"color\":\"gold\"}",CustomNameVisible:1}
execute as @a[scores={TalkTrigger=22}] run tellraw @s ["",{"text":"[Shades] "},{"text":"Awesome! Show those monsters who's the boss!","color":"dark_aqua"}]
execute as @a[scores={TalkTrigger=22}] run scoreboard players set @e[type=armor_stand,name=Options] Challenge 4
execute as @a[scores={TalkTrigger=22}] run data merge entity @e[type=armor_stand,tag=Challenge,limit=1] {CustomName:"{\"text\":\"Swarm Trackers\",\"color\":\"dark_green\"}",CustomNameVisible:1}
execute as @a[scores={TalkTrigger=23}] run tellraw @s ["",{"text":"[Shades] "},{"text":"Great! Who needs magic, right?","color":"dark_aqua"}]
execute as @a[scores={TalkTrigger=23}] run scoreboard players set @e[type=armor_stand,name=Options] Challenge 5
execute as @a[scores={TalkTrigger=23}] run data merge entity @e[type=armor_stand,tag=Challenge,limit=1] {CustomName:"{\"text\":\"Forbidden Runes\",\"color\":\"dark_purple\"}",CustomNameVisible:1}
execute as @a[scores={TalkTrigger=24}] run tellraw @s ["",{"text":"[Shades] "},{"text":"Uhh... ok then... are you sure?","color":"dark_aqua"}]
execute as @a[scores={TalkTrigger=24}] run scoreboard players set @e[type=armor_stand,name=Options] Challenge 6
execute as @a[scores={TalkTrigger=24}] run data merge entity @e[type=armor_stand,tag=Challenge,limit=1] {CustomName:"{\"text\":\"Darkest Dungeon\",\"color\":\"dark_red\"}",CustomNameVisible:1}

execute as @a[scores={TalkTrigger=25}] run tellraw @s ["",{"text":"[Shades] "},{"text":"No challenge? Alright then.","color":"aqua"}]
execute as @a[scores={TalkTrigger=25}] run scoreboard players set @e[type=armor_stand,name=Options] Challenge 0
execute as @a[scores={TalkTrigger=25}] run data merge entity @e[type=armor_stand,tag=Challenge,limit=1] {CustomName:"{\"text\":\"x\",\"color\":\"aqua\"}",CustomNameVisible:0}

execute as @a[scores={TalkTrigger=26}] run tellraw @s ["",{"text":"[???] "},{"text":"That's like super rude, you know.","color":"aqua"}]
execute as @a[scores={TalkTrigger=27}] run tellraw @s ["",{"text":"Boss Rush Rules:","color":"dark_red"},{"text":"\n1. All minibosses and all bosses must be beat in a row, without any other enemies.\n2. You can only play alone, without class; however, you can play while others are in the Dungeon.\n3. Every Miniboss grants a few resources and a chest, while every Boss grants some resources and 2 random boxes.\n4. You start with an Iron Sword, a Healing V Potion, 3 Steaks, and a Trading Scroll.\n5. Dying at any time counts as a failure.","color":"aqua"}]
execute as @a[scores={TalkTrigger=28}] if entity @a[tag=BossRush] run tellraw @s ["",{"text":"[???] "},{"text":"Sorry man... someone else is busy.","color":"aqua"}]
execute as @a[scores={TalkTrigger=28}] unless entity @a[tag=BossRush] run tellraw @s ["",{"text":"[???] "},{"text":"Boss Rush it is!","color":"dark_green","bold":"true"}]
execute as @a[scores={TalkTrigger=28}] at @s unless entity @a[tag=BossRush] run function system:rush/reset

execute as @a[scores={TalkTrigger=29}] run tellraw @s ["",{"text":"[Rex] "},{"text":"Just going normal then. Okay.","color":"aqua"}]
execute as @a[scores={TalkTrigger=29}] run tag @e[name=Options,type=armor_stand] remove SplitMode
execute as @a[scores={TalkTrigger=29}] run data merge entity @e[type=armor_stand,tag=Splitmode,limit=1] {CustomNameVisible:0}
execute as @a[scores={TalkTrigger=30}] run tellraw @s ["",{"text":"Split Up mode Rules:","color":"dark_red"},{"text":"\n1. No boxes, upgrades, magic, or rewards will spawn. The dungeon consists out of monsters and empty rooms.\n2. Before each floor, you get to pick 4 items. No item can be chosen twice per floor.\n3. The items are Melee or Ranged upgrades, random Armor or a random Potion, a random Scroll, Wand or Spell, or a random Treasure Item.\n4. The rest of the dungeon is the same. Death is permanent, utilities exist and loot is dropped (but likely useless).","color":"aqua"}]
execute as @a[scores={TalkTrigger=31}] run tellraw @s ["",{"text":"[Rex] "},{"text":"Yeah! Let's get those items together.","color":"aqua"}]
execute as @a[scores={TalkTrigger=31}] run tag @e[name=Options,type=armor_stand] add SplitMode
execute as @a[scores={TalkTrigger=31}] run data merge entity @e[type=armor_stand,tag=Splitmode,limit=1] {CustomNameVisible:1}

execute as @a[scores={TalkTrigger=32}] run scoreboard players set @e[name=Freya,type=villager] Time 201
execute as @a[scores={TalkTrigger=33}] run scoreboard players set @e[name=Freya,type=villager] Time 959

execute as @a[scores={TalkTrigger=34}] run tellraw @s ["",{"text":"[Freya] "},{"text":"No math then? Aww... Good luck!","color":"aqua"}]
execute as @a[scores={TalkTrigger=34}] if entity @e[type=fox,scores={rng=1..2}] run scoreboard players add @s Rubies 15
execute as @a[scores={TalkTrigger=34}] run scoreboard players set @e[type=fox,name=Freya] rng 0

execute as @a[scores={TalkTrigger=35}] if entity @e[type=fox,scores={rng=1..2}] run scoreboard players add @s Rubies 15
execute as @a[scores={TalkTrigger=35,Rubies=..14}] run tellraw @s ["",{"text":"[Freya] "},{"text":"Mate, do you think I paid off my debt yet?","color":"aqua"}]
execute as @a[scores={TalkTrigger=35,Rubies=15..}] run tellraw @s ["",{"text":"[Freya] "},{"text":"What seed would you like? (Click an X to add!)","color":"aqua"}]
execute as @a[scores={TalkTrigger=35,Rubies=15..}] run tellraw @s ["",{"text":"(-)","color":"yellow","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 10"},"hoverEvent":{"action":"show_text","value":{"text":"Add/Remove a -","color":"yellow"}}},{"text":" "},{"text":"X","color":"red","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 1"},"hoverEvent":{"action":"show_text","value":{"text":"Add 100000000","color":"yellow"}}},{"text":" "},{"text":"X","color":"gold","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 2"},"hoverEvent":{"action":"show_text","value":{"text":"Add 10000000","color":"yellow"}}},{"text":" "},{"text":"X","color":"red","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 3"},"hoverEvent":{"action":"show_text","value":{"text":"Add 1000000","color":"yellow"}}},{"text":" "},{"text":"X","color":"gold","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 4"},"hoverEvent":{"action":"show_text","value":{"text":"Add 100000","color":"yellow"}}},{"text":" "},{"text":"X","color":"red","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 5"},"hoverEvent":{"action":"show_text","value":{"text":"Add 10000","color":"yellow"}}},{"text":" "},{"text":"X","color":"gold","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 6"},"hoverEvent":{"action":"show_text","value":{"text":"Add 1000","color":"yellow"}}},{"text":" "},{"text":"X","color":"red","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 7"},"hoverEvent":{"action":"show_text","value":{"text":"Add 100","color":"yellow"}}},{"text":" "},{"text":"X","color":"gold","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 8"},"hoverEvent":{"action":"show_text","value":{"text":"Add 10","color":"yellow"}}},{"text":" "},{"text":"X","color":"red","clickEvent":{"action":"run_command","value":"/trigger rngTrigger set 9"},"hoverEvent":{"action":"show_text","value":{"text":"Add 1","color":"yellow"}}}]
execute as @a[scores={TalkTrigger=35,Rubies=15..}] run data merge block 10 8 52 {Text1:'["",{"score":{"name":"freya","objective":"rng"}}]'}
execute as @a[scores={TalkTrigger=35,Rubies=15..}] run scoreboard players set @e[type=fox,name=Freya] rng 1
execute as @a[scores={TalkTrigger=35,Rubies=15..}] run scoreboard players remove @s Rubies 15

execute as @a[scores={TalkTrigger=36}] if entity @e[type=fox,scores={rng=1..2}] run scoreboard players add @s Rubies 15
execute as @a[scores={TalkTrigger=36,Rubies=..14}] run tellraw @s ["",{"text":"[Freya] "},{"text":"Just give me some Rubies, man! They're everywhere.","color":"aqua"}]
execute as @a[scores={TalkTrigger=36,Rubies=15..}] run tellraw @s ["",{"text":"[Freya] "},{"text":"Your personal seed? Fancy! Don't forget to be the Main Player.","color":"aqua"}]
execute as @a[scores={TalkTrigger=36,Rubies=15..}] store result score seed rng run data get entity @a[tag=ClassMain,limit=1] UUIDMost 0.0000000000232830643653869628
execute as @a[scores={TalkTrigger=36,Rubies=15..}] run data merge block 10 8 52 {Text1:'["",{"score":{"name":"seed","objective":"rng"}}]'}
execute as @a[scores={TalkTrigger=36,Rubies=15..}] run scoreboard players set @e[type=fox,name=Freya] rng 2
execute as @a[scores={TalkTrigger=36,Rubies=15..}] run scoreboard players remove @s Rubies 15

execute as @a[scores={TalkTrigger=37}] run tellraw @s ["",{"text":"Seeded Dungeon Rules:","color":"dark_red"},{"text":"\n1. Any seed you choose will always generate the same dungeon on the same seed.\n2. All walls, rooms, magic, treasure and loot is fully seeded.\n3. Seeding does NOT determine non-core areas, boss behaviour, enemy spawning, and enemy behaviour.\n4. Your personal seed will always be the same.\n5. The seed of the next run is on the sign next to me!","color":"aqua"}]

execute as @a[scores={TalkTrigger=1..}] run scoreboard players set @s TalkTrigger 0

execute if entity @e[type=fox,scores={rng=1..2}] run particle totem_of_undying 10 8.5 52 0 0 0 0.1 1 force