scoreboard players operation @s rngIn *= multiplier rng
scoreboard players operation @s rngIn += increment rng
scoreboard players operation @s rngOut = @s rngIn
scoreboard players set modulus rng 25
execute if block 14 2 71 gold_block run scoreboard players set modulus rng 30
scoreboard players operation @s rngOut %= modulus rng

gamerule doTileDrops false
playsound item.totem.use ambient @a ~ ~ ~
particle totem_of_undying ~ ~ ~ 1 1 1 0.1 100 force

execute if score @s rngOut matches 0 run summon item ~ ~ ~ {Item:{id:"golden_apple",Count:1}}
execute if score @s rngOut matches 1 run summon item ~ ~ ~ {Item:{id:"clock",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Clock of Time\",\"color\":\"yellow\"}"}}}}
execute if score @s rngOut matches 2 run summon item ~ ~ ~ {Item:{id:"beacon",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Beacon of Space\",\"color\":\"light_blue\"}"}}}}
execute if score @s rngOut matches 3 run summon item ~ ~ ~ {Item:{id:"gray_dye",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],AttributeModifiers:[{AttributeName:"generic.knockbackResistance",Name:"generic.knockbackResistance",Slot:"mainhand",Amount:100,Operation:0,UUIDMost:77029,UUIDLeast:168822}],Item:1b,display:{Name:"{\"text\":\"Earth Orb\",\"color\":\"dark_gray\"}"}}}}
execute if score @s rngOut matches 4 run summon item ~ ~ ~ {Item:{id:"light_gray_dye",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Air Orb\",\"color\":\"gray\"}"}}}}
execute if score @s rngOut matches 5 run summon item ~ ~ ~ {Item:{id:"fire_charge",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Fire Crystals\",\"color\":\"red\"}"}}}}
execute if score @s rngOut matches 6 run summon item ~ ~ ~ {Item:{id:"prismarine_crystals",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Ice Crystals\",\"color\":\"blue\"}"}}}}
execute if score @s rngOut matches 7 run summon item ~ ~ ~ {Item:{id:"red_dye",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Red Heart\",\"color\":\"dark_red\"}"}}}}
execute if score @s rngOut matches 8 run summon item ~ ~ ~ {Item:{id:"coal",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Black Heart\",\"color\":\"black\"}"}}}}
execute if score @s rngOut matches 9 run summon item ~ ~ ~ {Item:{id:"nether_star",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Light Star\",\"color\":\"light_purple\"}"}}}}
execute if score @s rngOut matches 10 run summon item ~ ~ ~ {Item:{id:"firework_star",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Dark Star\",\"color\":\"dark_purple\"}"}}}}
execute if score @s rngOut matches 11 run summon item ~ ~ ~ {Item:{id:"sunflower",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Nightflower\",\"color\":\"yellow\"}"}}}}
execute if score @s rngOut matches 12 run summon item ~ ~ ~ {Item:{id:"emerald",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Lucky Clover\",\"color\":\"green\"}"}}}}
execute if score @s rngOut matches 13 run summon item ~ ~ ~ {Item:{id:"string",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Magnet\",\"color\":\"gray\"}"}}}}
execute if score @s rngOut matches 14 run summon item ~ ~ ~ {Item:{id:"fermented_spider_eye",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Third Eye\",\"color\":\"dark_gray\"}"}}}}
execute if score @s rngOut matches 15 run summon item ~ ~ ~ {Item:{id:"compass",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Compass\",\"color\":\"red\"}"}}}}
execute if score @s rngOut matches 16 run summon item ~ ~ ~ {Item:{id:"ender_eye",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Wayward\",\"color\":\"dark_green\"}"}}}}
execute if score @s rngOut matches 17 run summon item ~ ~ ~ {Item:{id:"quartz",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Fire Bubble\",\"color\":\"dark_red\"}"}}}}
execute if score @s rngOut matches 18 run summon item ~ ~ ~ {Item:{id:"prismarine_shard",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Ice Bubble\",\"color\":\"dark_aqua\"}"}}}}
execute if score @s rngOut matches 19 unless block 14 2 71 gold_block run summon item ~ ~ ~ {Item:{id:"written_book",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,pages:["{\"text\":\"DRAWING BOOK\\nHello, adventurer! You're probably wondering how this book got here, and to be fair, I am too. But no worries. I am here to help you. Read this book and you'll be a lot wiser and uh... yeah, that's it. Sorry. If you found this book again... tough luck. But don't give up!\"}","{\"text\":\"This thing contains all recipes from items. Potions, armor, protection, and treasure. You only need to gather the right ingredients or materials and voila, you got yourself some help. Let's start, shall we? There are quite some things to make... don't forget your crafting skills!\"}","{\"text\":\"PROTECTION\\nBasic Requirements: White Crafter, Iron Pickaxe, Flint\\n\\n5 flint: Plant Skin; protection I\\n10 flint: Overgrown Flesh; protection II\\n15 flint: Dragonhide; protection III\"}","{\"text\":\"ARMOR\\nBasic Requirements: White Crafter, Iron Pickaxe, lea/iron/dia\\n\\n4 items: lea/iron/dia boots\\n5 items: lea/iron/dia helmet\\n7 items: lea/iron/dia leggings\\n8 items: lea/iron/dia chestplate\"}","{\"text\":\"POTIONS\\nBasic Requirements: Blue Crafter, Empty Bottle, Tears\\n\\n3 Tears: Energy Bottle (Heal)\\n\\n5 Tears: Healing Essence (Heal/Regen)\\n\\n8 Tears: Restoring Flask (Heal 2/Regen 2)\"}","{\"text\":\"12 Tears: Heart Essence (Heal 2/Regen/Saturation)\\n\\n15 Tears: Life Essence (Heal 3/Regen 3/Health)\"}","{\"text\":\"TREASURE\\nBasic Requirements: Yellow Crafter, Gold\\n\\nTreasure: 5 Gold (any random of 25 items)\\nRare Treasure: 10 Gold (any random of 12 good items)\\nMega Treasure: 20 Gold (any of random 5 legendary items)\"}","{\"text\":\"That's it! Remember, put 1. the trade item in the upper slot, 2. the converter (pick/bottle) in the middle slot and 3. the product will be in the lower slot! Goodbye!\\n\\nDungeon Master Note: all the recipes, obviously, work without this book. This is just a guide.\\n-Dieuwt\"}"],author:"???",title:"Drawing Book"}}}
execute if score @s rngOut matches 20 unless block 14 2 71 gold_block run summon item ~ ~ ~ {Item:{id:"written_book",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,pages:["{\"text\":\"WRITING BOOK\\nHello, whoever finds this cursed book! No, it's not really cursed, but I spent 12 years of my useless life to get this thing together, and nobody will ever read it! But IF you read this, I don't know how you found this, but you're about to learn stuff! Lots of stuff!\"}","{\"text\":\"Now, this book contains info about items, wands and scrolls you might find. I have no idea how to obtain them all, but if you do, you should know how to use them! Be careful, as it is a lot of info and you probably won't need everything... Anyhow, here's what I found!\"}","{\"text\":\"TREASURE ITEMS\\nClock of Time: slows nearby enemies.\\nBeacon of Space: weakens nearby enemies.\\nAir Orb: makes you faster.\\nEarth Orb: gives knockback resistance when held.\\nMagnet: retrieves items.\\Third Eye: see close enemies.\"}","{\"text\":\"Lucky Clover: gives Luck.\\nNightflower: gives Night Vision.\\nIce Crystals: make you immune for Ice Rooms.\\nFire Crystals: make you immune for Fire Rooms.\\nRed Heart: gives regen if wounded.\\nBlack Heart: gives regen if killing undead.\"}","{\"text\":\"Light Star: can make monsters friendly.\\nDark Star: can make monsters disappear (no loot).\\nIce Bubble: prevents negative effects.\\nFire Bubble: prevents heat melting.\\nCompass: lights up entrance (up).\\nWayward: lights up exit (down).\"}","{\"text\":\"Drawing Book: contains recipes.\\nWriting Book: contains whatever's in this book.\\nIron: can be used to make armor.\\nTears: can be used to make potions.\\nGolden Apple: heals and gives some good effects.\"}","{\"text\":\"MAGIC WANDS\\nWand of Impact: deals damage.\\nWand of Flames: summons a fireball (punch it).\\nWand of Venom: poisons enemies.\\nWand of Air: makes enemies float.\\nWand of Nature: roots enemies.\"}","{\"text\":\"Wand of Liquid: summons temporary lava.\\nWand of Force: creates a non-damaging explosion.\\nWand of Thunder: creates a damaging field.\"}","{\"text\":\"SPELLS\\nFiery Spell: makes immune for any fire.\\nIcey Spell: makes immune for any ice and gives speed.\\nPortaly Spell: teleports back to entrance.\\nLucky Spell: makes loot better.\\nHasty Spell: lets you break stuff faster.\"}","{\"text\":\"Cleansy Spell: removes all negative effects.\\nHealthy Spell: restores hunger and hearts.\\nVisiony Spell: makes all monsters visible.\"}","{\"text\":\"SCROLLS (using)\\nChallenge: gives you and enemies strength.\\nSafety: gives high resistance.\\nTrading: summons a Trader.\\nMind: reveals special rooms.\\nSaturation: restores hunger.\"}","{\"text\":\"Transparency: makes you invisible.\\nBlast: summons an explosion.\\nDarkness: kills all enemies, but gives blindness.\\nTime: stops time.\\nRewind: resets the current floor.\"}","{\"text\":\"SCROLLS (playing)\\nChallenge: gives Absorption.\\nSafety: gives Fire Resistance.\\nSupport: gives Luck.\\nMind: allows you to see nearby enemies.\\nSaturation: gives Health Boost.\"}","{\"text\":\"Transparency: makes you transparent (not invisible!).\\nBlast: gives enemies Weakness.\\nDarkness: gives enemies Slowness.\\nTime: gives you Speed.\\nRewind:\"}","{\"text\":\"Well, that's it. All the items. Phieuw. But I can rest now. You can't but at least you feel safer now... right?\\n\\nDungeon Master Note: if you ever lose this book, you cannot re-obtain it. You have to be lucky. Sorry! \\n-Dieuwt\"}"],author:"???",title:"Writing Book"}}}

#Not Your Vault
execute if score @s rngOut matches 19 if block 14 2 71 gold_block run summon item ~ ~ ~ {Item:{id:"knowledge_book",Count:1,tag:{Recipes:[],display:{Lore:['{"text":"Right-click to learn a better recipe.","color":"green","italic":"false"}'],Name:'{"text":"Recipe Book","color":"green","bold":"true"}'}}}}
execute if score @s rngOut matches 20 if block 14 2 71 gold_block run summon item ~ ~ ~ {Item:{id:"turtle_egg",Count:5}}
execute if score @s rngOut matches 25 run fill ~-1 ~-1 ~-1 ~1 ~-1 ~1 farmland replace gold_block
execute if score @s rngOut matches 25 run setblock ~ ~-1 ~ glowstone
execute if score @s rngOut matches 25 run summon item ~ ~1 ~ {Item:{id:"carrot",Count:4,tag:{CanPlaceOn:["farmland"]}},Motion:[0.0d,0.3d,0.0d]}
execute if score @s rngOut matches 26 run summon item ~ ~ ~ {Item:{id:"iron_nugget",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Silencer\",\"color\":\"gray\"}"}}}}
execute if score @s rngOut matches 27 run summon item ~ ~ ~ {Item:{id:"shulker_shell",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Power Arm\",\"color\":\"red\"}"}}}}
execute if score @s rngOut matches 28 run summon item ~ ~ ~ {Item:{id:"beetroot_seeds",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Green Lantern\",\"color\":\"green\"}"}}}}
execute if score @s rngOut matches 29 run summon item ~ ~ ~ {Item:{id:"rabbit_hide",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Lore:['{"text":""}','{"text":"When in main hand:","color":"gray","italic":"false"}','{"text":"Night Vision","color":"blue","italic":"false"}'],Name:"{\"text\":\"Blue Torch\",\"color\":\"blue\"}"}}}}

setblock ~ ~ ~ air destroy

execute if score @s rngOut matches 21 run summon item ~ ~ ~ {Item:{id:"diamond",Count:3}}
execute if score @s rngOut matches 22 run summon item ~ ~ ~ {Item:{id:"ghast_tear",Count:9}}

execute if score @s rngOut matches 23 run setblock ~ ~-1 ~ bookshelf
execute if score @s rngOut matches 23 at @s if block ~3 ~ ~ air run setblock ~ ~ ~ chest[facing=east]
execute if score @s rngOut matches 23 at @s if block ~-3 ~ ~ air run setblock ~ ~ ~ chest[facing=west]
execute if score @s rngOut matches 23 at @s if block ~ ~ ~3 air run setblock ~ ~ ~ chest[facing=south]
execute if score @s rngOut matches 23 at @s if block ~ ~ ~-3 air run setblock ~ ~ ~ chest[facing=north]

execute if score @s rngOut matches 24 run setblock ~ ~-1 ~ purpur_block
execute if score @s rngOut matches 24 at @s if block ~3 ~ ~ air run setblock ~ ~ ~ chest[facing=east]
execute if score @s rngOut matches 24 at @s if block ~-3 ~ ~ air run setblock ~ ~ ~ chest[facing=west]
execute if score @s rngOut matches 24 at @s if block ~ ~ ~3 air run setblock ~ ~ ~ chest[facing=south]
execute if score @s rngOut matches 24 at @s if block ~ ~ ~-3 air run setblock ~ ~ ~ chest[facing=north]

kill @e[type=area_effect_cloud,distance=..2]
scoreboard players add @p AdvTreasure 1
gamerule doTileDrops true